org.apache.lucene.index

## Class NoMergeScheduler

- java.lang.Object
- - org.apache.lucene.index.MergeScheduler
  - - org.apache.lucene.index.NoMergeScheduler

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class NoMergeScheduler
    extends MergeScheduler

A `MergeScheduler` which never executes any merges. It is also a singleton and can be accessed through `INSTANCE`. Use it if you want to prevent an `IndexWriter` from ever executing merges, regardless of the `MergePolicy` used. Note that you can achieve the same thing by using `NoMergePolicy`, however with `NoMergeScheduler` you also ensure that no unnecessary code of any `MergeScheduler` implementation is ever executed. Hence it is recommended to use both if you want to disable merges from ever happening.

### Field Summary

Fields
`static MergeScheduler` `INSTANCE` The single instance of `NoMergeScheduler`

### Method Summary

Methods
`void` `close()` Close this MergeScheduler.
`void` `merge(IndexWriter writer)` Run the merges provided by `IndexWriter.getNextMerge()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final MergeScheduler INSTANCE

The single instance of `NoMergeScheduler`

### Method Detail

#### close

    public void close()

Description copied from class: `MergeScheduler`
Close this MergeScheduler.

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `MergeScheduler`

#### merge

    public void merge(IndexWriter writer)

Description copied from class: `MergeScheduler`
Run the merges provided by `IndexWriter.getNextMerge()`.

Specified by:
  `merge` in class `MergeScheduler`